---

distro_name: centos
distro_version: 8
release: ussuri
api_url: https://trunk.rdoproject.org/api-centos8-ussuri
base_url: https://trunk.rdoproject.org/centos8-ussuri/
username: ciuser
dry_run: no

# promote_from is not used in component promotion using promote-hash
promote_from:
  promoted-components: component-ci-testing

# target promotion label now has a nested list of criteria jobs
# for each component
promoted-components:
  baremetal:
    - periodic-tripleo-ci-centos-8-standalone-baremetal-ussuri
    # https://bugs.launchpad.net/tripleo/+bug/1928255
    #- periodic-tripleo-ci-centos-8-ovb-3ctlr_1comp-featureset001-baremetal-ussuri
  cinder:
    - periodic-tripleo-ci-centos-8-standalone-cinder-ussuri
    - periodic-tripleo-ci-centos-8-scenario001-standalone-cinder-ussuri
    - periodic-tripleo-ci-centos-8-scenario004-standalone-cinder-ussuri
  clients:
    - periodic-tripleo-ci-centos-8-standalone-clients-ussuri
    - periodic-tripleo-ci-centos-8-containers-multinode-clients-ussuri
  cloudops:
    - periodic-tripleo-ci-centos-8-standalone-cloudops-ussuri
    - periodic-tripleo-ci-centos-8-scenario001-standalone-cloudops-ussuri
    - periodic-tripleo-ci-centos-8-scenario002-standalone-cloudops-ussuri
  common:
    - periodic-tripleo-ci-centos-8-standalone-common-ussuri
    - periodic-tripleo-ci-centos-8-scenario001-standalone-common-ussuri
    - periodic-tripleo-ci-centos-8-scenario002-standalone-common-ussuri
    - periodic-tripleo-ci-centos-8-scenario003-standalone-common-ussuri
    - periodic-tripleo-ci-centos-8-scenario004-standalone-common-ussuri
    - periodic-tripleo-ci-centos-8-containers-multinode-common-ussuri
  compute:
    - periodic-tripleo-ci-centos-8-standalone-compute-ussuri
    - periodic-tripleo-ci-centos-8-standalone-full-tempest-api-compute-ussuri
    - periodic-tripleo-ci-centos-8-standalone-full-tempest-scenario-compute-ussuri
  glance:
    - periodic-tripleo-ci-centos-8-scenario001-standalone-glance-ussuri
    - periodic-tripleo-ci-centos-8-scenario002-standalone-glance-ussuri
    - periodic-tripleo-ci-centos-8-scenario003-standalone-glance-ussuri
    - periodic-tripleo-ci-centos-8-scenario004-standalone-glance-ussuri
  manila:
    - periodic-tripleo-ci-centos-8-scenario004-standalone-manila-ussuri
  network:
    - periodic-tripleo-ci-centos-8-standalone-network-ussuri
    - periodic-tripleo-ci-centos-8-scenario007-standalone-network-ussuri
    - periodic-tripleo-ci-centos-8-scenario010-kvm-internal-standalone-network-ussuri
    - periodic-tripleo-ci-centos-8-containers-multinode-network-ussuri
    # https://bugs.launchpad.net/tripleo/+bug/1928255
    #- periodic-tripleo-ci-centos-8-ovb-3ctlr_1comp-featureset001-network-ussuri
  octavia:
    - periodic-tripleo-ci-centos-8-standalone-octavia-ussuri
    - periodic-tripleo-ci-centos-8-scenario007-standalone-octavia-ussuri
    - periodic-tripleo-ci-centos-8-scenario010-kvm-internal-standalone-octavia-ussuri
    - periodic-tripleo-ci-centos-8-containers-multinode-octavia-ussuri
  security:
    - periodic-tripleo-ci-centos-8-standalone-security-ussuri
    - periodic-tripleo-ci-centos-8-containers-multinode-security-ussuri
    - periodic-tripleo-ci-centos-8-standalone-on-multinode-ipa-security-ussuri
    # - periodic-tripleo-ci-centos-8-ovb-3ctlr_1comp_1supp-featureset039-security-ussuri
  swift:
    - periodic-tripleo-ci-centos-8-scenario002-standalone-swift-ussuri
  tempest:
    - periodic-tripleo-ci-centos-8-standalone-tempest-ussuri
    - periodic-tripleo-ci-centos-8-standalone-full-tempest-api-tempest-ussuri
    - periodic-tripleo-ci-centos-8-standalone-full-tempest-scenario-tempest-ussuri
  tripleo:
    - periodic-tripleo-ci-centos-8-standalone-tripleo-ussuri
    - periodic-tripleo-ci-centos-8-containers-multinode-tripleo-ussuri
    - periodic-tripleo-ci-centos-8-ovb-3ctlr_1comp-featureset001-tripleo-ussuri
    - periodic-tripleo-ci-centos-8-standalone-on-multinode-ipa-tripleo-ussuri
    - periodic-tripleo-ci-centos-8-standalone-upgrade-tripleo-ussuri
    - periodic-tripleo-ci-centos-8-scenario000-multinode-oooq-container-updates-tripleo-ussuri
  ui:
    - periodic-tripleo-ci-centos-8-standalone-ui-ussuri
  validation:
    - periodic-tripleo-ci-centos-8-standalone-validation-ussuri
